## scribus 1.5.5+svn23928+dfsg

=== scribus/CMakeLists.txt ===
#For those that want it, show the SVN version in the About dialog
if (WANT_SVNVERSION)
	add_definitions(-DHAVE_SVNVERSION)
	message(STATUS "SVN Version requested in About dialog")
	# a custom target that is always built

	if (NOT CMAKE_VERSION VERSION_LESS "3.2.0")
		add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)
	else ()
		add_custom_target(svnheader ALL DEPENDS svn_header ) # svn_header is nothing more than a unique string
		# creates svnheader.h using cmake script
		add_custom_command(OUTPUT svn_header ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake)
		set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
			PROPERTIES GENERATED TRUE
			HEADER_FILE_ONLY TRUE)
	endif ()
endif ()

if(WIN32)
	add_definitions(-DQT_DLL)
endif()


include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${FREETYPE_INCLUDE_DIRS}
	${HARFBUZZ_INCLUDE_DIRS}
)

add_subdirectory(dtd)
add_subdirectory(colormgmt)
add_subdirectory(desaxe)
add_subdirectory(fonts)
add_subdirectory(styles)
add_subdirectory(text)
add_subdirectory(ui/qml)
if(WITH_TESTS)
	add_subdirectory(tests)
endif()
if (WANT_DESIGNER)
	add_subdirectory(designer)
endif ()
add_subdirectory(third_party)

if(HAVE_OSG)
	set(SCRIBUS_OSG_UI_SRC
		ui/osgeditor.ui
	)
	set(SCRIBUS_OSG_CLASS
		ui/AdapterWidget.h
		ui/osgeditor.h
		pageitem_osgframe.h
	)
	set(SCRIBUS_OSG_SRC
		ui/AdapterWidget.cpp
		ui/osgeditor.cpp
		pageitem_osgframe.cpp
	)
endif ()

if (GMAGICK_FOUND)
	set(SCRIBUS_GMAGICK_SRC imagedataloaders/scimgdataloader_gmagick.cpp)
else()
	set(SCRIBUS_GMAGICK_SRC)
endif()

# We setup something like a group to gather setter related stuff
# because it could expand into a huge amount of files at some point.
set(SCRIBUS_ITEMSETTERS_UI_SRC
	ui/positionsetter.ui
	ui/rotationsetter.ui
)

set(SCRIBUS_ITEMSETTERS_CLASS
	openpalettemanager.h
	openpalettemodel.h
	pageitemsettersmanager.h
	ui/openpalette.h
	ui/openpaletteview.h
	ui/pageitempositionsetter.h
	ui/pageitemrotationsetter.h
)

set(SCRIBUS_ITEMSETTERS_SRC
	openpalettemanager.cpp
	openpalettemodel.cpp
	pageitemsettersmanager.cpp
	ui/openpalette.cpp
	ui/openpaletteview.cpp
	ui/pageitemsetterbase.cpp
	ui/pageitempositionsetter.cpp
	ui/pageitemrotationsetter.cpp
)

set(SCRIBUS_UI_SRC
	ui/aboutplugins.ui
	ui/actionsearchdialog.ui
	ui/aligndistribute.ui
	ui/annot.ui
	ui/arcvectorbase.ui
	ui/arcwidgetbase.ui
	ui/charselect.ui
	ui/charselectenhanced.ui
	ui/cmsprefsbase.ui
	ui/cmykfwbase.ui
	ui/colorpalette.ui
	ui/colorsandfillsbase.ui
	ui/contentpalette_defaultbase.ui
	ui/contentpalette_pagebase.ui
	ui/cxfimportdialogbase.ui
	ui/downloadspalettebase.ui
	ui/gradientaddedit.ui
	ui/gradienteditor.ui
	ui/gradientvectorbase.ui
	ui/gtfiledialog.ui
	ui/guidemanager.ui
	ui/insertaframe.ui
	ui/inserttablecolumnsdialog.ui
	ui/inserttablerowsdialog.ui
	ui/latexeditor.ui
	ui/newmarginwidgetbase.ui
	ui/mark2item.ui
	ui/mark2mark.ui
	ui/markanchor.ui
	ui/marknote.ui
	ui/marksmanager.ui
	ui/markvariabletext.ui
	ui/measurementsbase.ui
	ui/multipleduplicate.ui
	ui/multiprogressdialog.ui
	ui/nftdialog.ui
	ui/nftwidget.ui
	ui/notesstyleseditor.ui
	ui/outputpreview_pdf.ui
	ui/outputpreview_ps.ui
	ui/outputpreviewbase.ui
	ui/pageitemattributes.ui
	ui/pagepalette_pagesbase.ui
	ui/pagepalette_masterpagesbase.ui
	ui/picsearch.ui
	ui/picsearchoptions.ui
	ui/picstatus.ui
	ui/polygonwidgetbase.ui
	ui/preferencesdialogbase.ui
	ui/prefs_colormanagementbase.ui
	ui/prefs_displaybase.ui
	ui/prefs_documentinformationbase.ui
	ui/prefs_documentsectionsbase.ui
	ui/prefs_documentsetupbase.ui
	ui/prefs_externaltoolsbase.ui
	ui/prefs_fontsbase.ui
	ui/prefs_guidesbase.ui
	ui/prefs_hyphenatorbase.ui
	ui/prefs_imagecachebase.ui
	ui/prefs_keyboardshortcutsbase.ui
	ui/prefs_miscellaneousbase.ui
	ui/prefs_pathsbase.ui
	ui/prefs_pagesizesbase.ui
	ui/prefs_pluginsbase.ui
	ui/prefs_preflightverifierbase.ui
	ui/prefs_printerbase.ui
	ui/prefs_scrapbookbase.ui
	ui/prefs_spellingbase.ui
	ui/prefs_typographybase.ui
	ui/prefs_userinterfacebase.ui
	ui/prefs_itemtoolsbase.ui
	ui/prefs_operatortoolsbase.ui
	ui/prefs_pdfexportbase.ui
	ui/prefs_tableofcontentsbase.ui
	ui/prefs_documentitemattributesbase.ui
	ui/printdialogbase.ui
	ui/propertiespalette_groupbase.ui
	ui/propertiespalette_imagebase.ui
	ui/propertiespalette_linebase.ui
	ui/propertiespalette_shapebase.ui
	ui/propertiespalette_tablebase.ui
	ui/propertiespalette_textbase.ui
	ui/propertiespalette_xyzbase.ui
	ui/propertywidget_advancedbase.ui
	ui/propertywidget_distancebase.ui
	ui/propertywidget_pareffectbase.ui
	ui/propertywidget_flopbase.ui
	ui/propertywidget_fontfeaturesbase.ui
	ui/propertywidget_hyphenationbase.ui
	ui/propertywidget_optmarginsbase.ui
	ui/propertywidget_orphansbase.ui
	ui/propertywidget_pathtextbase.ui
	ui/propertywidget_textcolorbase.ui
	ui/recoverdialog.ui
	ui/replacecolors.ui
	ui/replaceonecolor.ui
	ui/resourcemanagerbase.ui
	ui/resourcemanagerlicensebase.ui
	ui/selectobjects.ui
	ui/shortcutwidget.ui
	ui/smcellstylewidget.ui
	ui/smcstylewidget.ui
	ui/smfontfeaturesbase.ui
	ui/smlinestylewidget.ui
	ui/smtablestylewidget.ui
	ui/smpstylewidget.ui
	ui/smreplacedia.ui
	ui/smstyleimport.ui
	ui/spiralvectorbase.ui
	ui/spiralwidgetbase.ui
	ui/stylemanager.ui
	ui/tablecolumnwidthsdialog.ui
	ui/tablerowheightsdialog.ui
	ui/tabpdfoptions.ui
	ui/transformdialogbase.ui
	ui/transparencypalette.ui
	ui/copypagetomasterpage.ui
	ui/createrange.ui
	ui/helpbrowser.ui
	ui/helpbrowsernavigation.ui
	ui/unicodesearch.ui
	ui/useprintermarginsdialog.ui
	ui/weldeditbase.ui
#	#{SCRIBUS_ITEMSETTERS_UI_SRC}
	${SCRIBUS_OSG_UI_SRC}
)

set(SCRIBUS_MOC_CLASSES
	actionmanager.h
	appmodehelper.h
	canvas.h
	canvasgesture.h
	canvasgesture_cellselect.h
	canvasgesture_columnresize.h
	canvasgesture_rowresize.h
	canvasgesture_rulermove.h
	canvasgesture_table.h
	canvasgesture_tableresize.h
	canvasmode.h
	canvasmode_create.h
	canvasmode_edit.h
	canvasmode_editarc.h
	canvasmode_editpolygon.h
	canvasmode_editspiral.h
	canvasmode_edittable.h
	canvasmode_editweldpoint.h
	canvasmode_eyedropper.h
	canvasmode_framelinks.h
	canvasmode_imageimport.h
	canvasmode_measurements.h
	canvasmode_normal.h
	canvasmode_objimport.h
	chartablemodel.h
	chartableview.h
	collect4output.h
	colorblind.h
	commonstrings.h
	deferredtask.h
	docinfo.h
	downloadmanager/scdlmgr.h
	downloadmanager/scdlthread.h
	fileloader.h
	filesearch.h
	filewatcher.h
	fontlistmodel.h
	guidesdelegate.h
	guidesmodel.h
	guidesview.h
	hyphenator.h
	iconmanager.h
	latexhelpers.h
	loadsaveplugin.h
	menumanager.h
	navigator.h
	notesstyles.h
	observable.h
	pageitem.h
	pageitem_arc.h
	pageitem_group.h
	pageitem_imageframe.h
	pageitem_latexframe.h
	pageitem_line.h
	pageitem_pathtext.h
	pageitem_polygon.h
	pageitem_polyline.h
	pageitem_regularpolygon.h
	pageitem_spiral.h
	pageitem_symbol.h
	pageitem_table.h
	pageitem_textframe.h
	pageitem_noteframe.h
	pageitempointer.h
	pdf_analyzer.h
	pdflib.h
	pdflib_core.h
	pluginmanager.h
	pp_proxy.h
	prefsmanager.h
	pslib.h
	qtiocompressor.h
	sampleitem.h
	scgtplugin.h
	schelptreemodel.h
	scimagecachedir.h
	scimagecachefile.h
	scimagecachemanager.h
	scmimedata.h
	scplugin.h
	scprintengine.h
	scraction.h
	scribus.h
	scribusapp.h
	scribuscore.h
	scribusdoc.h
	scribusview.h
	scribuswin.h
	selection.h
	selectionrubberband.h
	styleitem.h
	tocgenerator.h
	undogui.h
	undomanager.h
	upgradechecker.h
	urllauncher.h
	ui/about.h
	ui/aboutplugins.h
	ui/actionsearchdialog.h
	ui/adjustcmsdialog.h
	ui/aligndistribute.h
	ui/alignselect.h
	ui/directionselect.h
	ui/annot.h
	ui/annota.h
	ui/applytemplatedialog.h
	ui/arcwidget.h
	ui/arcvectordialog.h
	ui/arrowchooser.h
	ui/autoform.h
	ui/autoformbuttongroup.h
	ui/basepointwidget.h
	ui/bookmarkpalette.h
	ui/bookmwin.h
	ui/buttonicon.h
	ui/charselect.h
	ui/charselectenhanced.h
	ui/charzoom.h
	ui/checkDocument.h
	ui/clockwidget.h
	ui/cmsprefs.h
	ui/cmykfw.h
	ui/collectforoutput_ui.h
	ui/colorchart.h
	ui/colorcombo.h
	ui/colorlistbox.h
	ui/colorlistmodel.h
	ui/colorsandfills.h
	ui/contentpalette.h
	ui/contentpalette_default.h
	ui/contentpalette_page.h
	ui/contextmenu.h
	ui/cpalette.h
	ui/cupsoptions.h
	ui/curvewidget.h
	ui/customfdialog.h
	ui/cxfimportdialog.h
	ui/dasheditor.h
	ui/dcolor.h
	ui/delpages.h
	ui/downloadspalette.h
	ui/editor.h
	ui/effectsdialog.h
	ui/extimageprops.h
	ui/filedialogeventcatcher.h
	ui/fontcombo.h
	ui/fontembeddingcombo.h
	ui/fontembeddingmodel.h
	ui/fontlistview.h
	ui/fontreplacedialog.h
	ui/gradientaddedit.h
	ui/gradienteditor.h
	ui/gradientvectordialog.h
	ui/gradientpreview.h
	ui/gtdialogs.h
	ui/gtfiledialog.h
	ui/guidemanager.h
	ui/helpbrowser.h
	ui/helpnavigation.h
	ui/hruler.h
	ui/hyask.h
	ui/imageinfodialog.h
	ui/inlinepalette.h
	ui/insertTable.h
	ui/insertaframe.h
	ui/inserttablecolumnsdialog.h
	ui/inserttablerowsdialog.h
	ui/inspage.h
	ui/javadocs.h
	ui/latexeditor.h
	ui/layers.h
	ui/linecombo.h
	ui/linkbutton.h
	ui/loremipsum.h
	ui/markinsert.h
	ui/mark2item.h
	ui/mark2mark.h
	ui/markanchor.h
	ui/marknote.h
	ui/marksmanager.h
	ui/markvariabletext.h
	ui/marginpresetlayout.h
	ui/marginwidget.h
	ui/newmarginwidget.h
	ui/measurements.h
	ui/mergedoc.h
	ui/missing.h
	ui/movepage.h
	ui/multipleduplicate.h
	ui/multiprogressdialog.h
	ui/newdocdialog.h
	ui/newtemp.h
	ui/nftdialog.h
	ui/nftwidget.h
	ui/nodeeditpalette.h
	ui/notesstyleseditor.h
	ui/numformatcombo.h
	ui/outlinepalette.h
	ui/outputpreview_pdf.h
	ui/outputpreview_ps.h
	ui/outputpreviewbase.h
	ui/pageitemattributes.h
	ui/pagelayout.h
	ui/pagepalette.h
	ui/pagepalette_pages.h
	ui/pagepalette_masterpages.h
	ui/pagepalette_widgets.h
	ui/pagepropertiesdialog.h
	ui/pageselector.h
	ui/patternpropsdialog.h
	ui/pdfexportdialog.h
	ui/pdfversioncombo.h
	ui/pdfversionmodel.h
	ui/picsearch.h
	ui/picsearchoptions.h
	ui/picstatus.h
	ui/polygonwidget.h
	ui/polyprops.h
	ui/preferencesdialog.h
	ui/prefs_colormanagement.h
	ui/prefs_display.h
	ui/prefs_documentinformation.h
	ui/prefs_documentsections.h
	ui/prefs_documentsetup.h
	ui/prefs_externaltools.h
	ui/prefs_fonts.h
	ui/prefs_guides.h
	ui/prefs_hyphenator.h
	ui/prefs_imagecache.h
	ui/prefs_keyboardshortcuts.h
	ui/prefs_miscellaneous.h
	ui/prefs_pagesizes.h
	ui/prefs_paths.h
	ui/prefs_pane.h
	ui/prefs_plugins.h
	ui/prefs_preflightverifier.h
	ui/prefs_printer.h
	ui/prefs_scrapbook.h
	ui/prefs_spelling.h
	ui/prefs_typography.h
	ui/prefs_userinterface.h
	ui/prefs_itemtools.h
	ui/prefs_operatortools.h
	ui/prefs_pdfexport.h
	ui/prefs_tableofcontents.h
	ui/prefs_documentitemattributes.h
	ui/printdialog.h
	ui/printpreview.h
	ui/propertiespalette.h
	ui/propertiespalette_group.h
	ui/propertiespalette_image.h
	ui/propertiespalette_line.h
	ui/propertiespalette_shadow.h
	ui/propertiespalette_shape.h
	ui/propertiespalette_table.h
	ui/propertiespalette_text.h
	ui/propertiespalette_utils.h
	ui/propertiespalette_xyz.h
	ui/propertywidget_advanced.h
	ui/propertywidget_distance.h
	ui/propertywidget_pareffect.h
	ui/propertywidget_flop.h
	ui/propertywidget_hyphenation.h
	ui/propertywidget_optmargins.h
	ui/propertywidget_orphans.h
	ui/propertywidget_pathtext.h
	ui/propertywidget_textcolor.h
	ui/propertywidget_fontfeatures.h
	ui/proptree.h
	ui/query.h
	ui/recoverdialog.h
	ui/replacecolors.h
	ui/replaceonecolor.h
	ui/resourcemanager.h
	ui/resourcemanagerlicense.h
	ui/rulermover.h
	ui/sccolorslider.h
	ui/scdockpalette.h
	ui/scescapecatcher.h
	ui/scfilewidget.h
	ui/scinputdialog.h
	ui/sclistwidgetdelegate.h
	ui/scmenu.h
	ui/scmessagebox.h
	ui/scmwmenumanager.h
	ui/scrapbookpalette.h
	ui/scrpalettebase.h
	ui/scrspinbox.h
	ui/sctablewidget.h
	ui/sctextbrowser.h
	ui/sctoolbar.h
	ui/sctreewidget.h
	ui/search.h
	ui/selectobjects.h
	ui/selfield.h
	ui/shadebutton.h
	ui/shortcutwidget.h
	ui/smalignselect.h
	ui/smcellstylewidget.h
	ui/smcellstyle.h
	ui/smcheckbox.h
	ui/smcolorcombo.h
	ui/smcstylewidget.h
	ui/smdirectionselect.h

=== debian/changelog ===
scribus (1.5.5+svn23928+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against libpoppler102.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Sep 2020 17:04:47 +0100

scribus (1.5.5+svn23928+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.5+svn23928+dfsg.
    + Move scripter to Python3.  Closes: #938451
  * d/control:
    + Suggest scribus-doc, not scribus-ng-doc.  Closes: #958434
    + Automatically generate the dependencies on scribus-data and scribus-doc
      based on the name of the source package.
    + Adjust dependencies for the python2→python3 move.
    + Add Build-Dependency on libpng-dev.
  * d/rules: Adjusts for the python2→python3 move.
  * d/copyright: Update.
  * Drop all poppler patches, already present upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Aug 2020 11:41:15 +0200

scribus (1.5.5+dfsg-6) unstable; urgency=medium

  * Add patches from upstream to fix compatibility with poppler up to 0.86.
  * Add some lintian overrides for executable-in-usr-lib.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Mar 2020 14:11:19 +0100

scribus (1.5.5+dfsg-5) unstable; urgency=low

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 Jan 2020 15:58:46 +0100

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.12.0),
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 extra-cmake-modules,
 gettext,
# libboost-python-dev,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev (>= 3.4),
 libpagemaker-dev,
 libpng-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev (>= 0.64.0),
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libqxp-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 libzmf-dev,
 python3-dev,
 qtbase5-dev (>= 5.11),
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 ${S:Source}-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-template,
 texlive-latex-recommended,
 ${S:Source}-doc,
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

## scribus 1.5.6+dfsg

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.8.9 for Qt5 and CMAKE_POSITION_INDEPENDENT_CODE property
#Require 3.1.0 for Qt 5.7 C++ 11 easy support
#Require 3.2.0 for add_custom_target with byproducts
#Require 3.12 for new Find Python modules
#TODO: as soon as we require 3.14.0, use the Cmake own modules for
# - Fontconfig

cmake_minimum_required(VERSION 3.12.0 FATAL_ERROR)

message(STATUS "CMake Version: ${CMAKE_VERSION}")

# Configure CCache if available and wanted
if (WANT_CCACHE)
	find_program(CCACHE_FOUND ccache)
	if(CCACHE_FOUND)
		message(STATUS "Enabling ccache")
		set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
		set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	endif()
endif()

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Don't force verbose
set(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#Don't allow in source builds
#set(CMAKE_DISABLE_SOURCE_CHANGES ON)
#set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)


#RPATH setup - more below too
if (WANT_NORPATH OR WANT_DISTROBUILD)
	set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
else()
	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif()
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
set(CMAKE_SKIP_BUILD_RPATH TRUE)

include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckTypeSize)
include(TestBigEndian)
include(GNUInstallDirs)
#include(FeatureSummary)

#enable_testing()

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########
message(STATUS "Shared Library Flags: ${CMAKE_SHARED_LIBRARY_C_FLAGS}")

#Project Setup
project(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
set (VERSION_MAJOR "1")
set (VERSION_MINOR "5")
set (VERSION_PATCH "6")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR})
if (VERSION_MINOR GREATER -1)
	set (VERSION ${VERSION}.${VERSION_MINOR})
endif()
if (VERSION_PATCH GREATER -1)
	set (VERSION ${VERSION}.${VERSION_PATCH})
endif()
if (VERSION_SUFFIX)
	set (VERSION ${VERSION}.${VERSION_SUFFIX})
endif()
message(STATUS "Scribus ${VERSION} will be built and installed into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
set(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
set(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

execute_process(
	COMMAND ${CMAKE_C_COMPILER} -dumpmachine
	OUTPUT_VARIABLE MACHINE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

## Find out what machine/cpu we are running on
message(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
string(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
if (_machine_x86)
	message(STATUS "Found target X86")
	set(ARCH_X86 ON)
endif()

string(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
if (_machine_x86_64)
	message(STATUS "Found target X86_64")
	set(ARCH_X86_64 ON)
endif()

string(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
if (_machine_sparc_64)
	message(STATUS "Found target SPARC 64")
	set(ARCH_SPARC_64 ON)
endif()

string(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
if (_machine_mips_64)
	message(STATUS "Found target MIPS 64")
	set(ARCH_MIPS_64 ON)
endif()

string(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
if (_machine_ppc)
	message(STATUS "Found target PPC")
	set(ARCH_PPC ON)
endif()

string(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
if (_machine_ppc_64)
	message(STATUS "Found target PPC64")
	set(ARCH_PPC_64 ON)
endif()

string(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
if (_machine_sparc)
	message(STATUS "Found target Sparc")
	set(ARCH_SPARC ON)
endif()

string(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
if (_machine_sparcv9)
	message(STATUS "Found target Sparc v9")
	set(ARCH_SPARCV9 ON)
endif()

string(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
if (_machine_sparc64)
	message(STATUS "Found target Sparc64")
	set(ARCH_SPARC64 ON)
	set(ARCH64BIT ON)
endif()

string(REGEX MATCH "(hppa*)" _machine_hppa "${MACHINE}")
if (_machine_hppa)
	message(STATUS "Found target Hppa")
	set(ARCH_HPPA ON)
endif()

string(REGEX MATCH "(arm*)" _machine_arm "${MACHINE}")
if (_machine_arm)
	message(STATUS "Found target arm")
	set(ARCH_ARM ON)
endif()

# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

## Do our Apple OSX version setup
if (APPLE)
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_ARM))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
		if (_apple_ver EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, ARM")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, ARM")
		endif()
	endif()
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_X86 OR ARCH_X86_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
		if (_apple_ver EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, X86")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "19")
			message(STATUS "Found macOS Catalina Target: Apple, 64 bit, X86")
			set(APPLE_10_15_X ON CACHE BOOL "Found macOS Catalina Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "18")
			message(STATUS "Found macOS Mojave Target: Apple, 64 bit, X86")
			set(APPLE_10_14_X ON CACHE BOOL "Found macOS Mojave Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "17")
			message(STATUS "Found macOS High Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_13_X ON CACHE BOOL "Found macOS High Sierra Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "16")
			message(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_12_X ON CACHE BOOL "Found macOS Sierra Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "15")
			message(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
			set(APPLE_10_11_X ON CACHE BOOL "Found OSX El Capitan Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "14")
			message(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
			set(APPLE_10_10_X ON CACHE BOOL "Found OSX Yosemite Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "13")
			message(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
			set(APPLE_10_9_X ON CACHE BOOL "Found OSX Mavericks Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "12")
			message(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_8_X ON CACHE BOOL "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "11")
			message(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_7_X ON CACHE BOOL "Found OSX Lion Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "10")
			message(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
			set(APPLE_10_6_X ON CACHE BOOL "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "9")
			message(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
			set(APPLE_10_5_X ON CACHE BOOL "Found OSX Leopard Target: Apple, 32 bit, X86")
		endif()
		unset(ARCH_X86)
	endif()
endif()


#convert any 64 bit build into generic 64 tag for below
if (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64)
	set(ARCH64BIT ON)
endif()

message(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Relocatability                                                                           ##########

if (APPLEBUNDLE OR WIN32)
	if (WANT_RELOCATABLE)
		message(STATUS "Ignoring relocatable option on Win32 or OSX when building bundle")
		set(WANT_RELOCATABLE OFF)
	endif()
endif()

if (WANT_RELOCATABLE)
	message(STATUS "Enabling relocatable binaries")
	set(WANT_RELOCATABLE ON CACHE BOOL "Enable relocatable binaries")
	add_definitions(-DWANT_RELOCATABLE)
endif()

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
if (NOT BUILD_OSX_BUNDLE)
	set(BUILD_OSX_BUNDLE ${APPLE} CACHE BOOL "Building MacOS X Bundle")
endif()

#Simplify future conditionals for Apple
if (APPLE AND BUILD_OSX_BUNDLE)
	set(APPLEBUNDLE ON CACHE BOOL "Building Apple Bundle")
endif()

#Announce we cached a version request before, overridden below for OSX
if(TAG_VERSION)
	if (NOT APPLEBUNDLE)
		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
	endif()
	set(WANT_VERSIONING ON)
	set(CACHED_VERSIONING ON)
endif()

#Remove version tags on OSX so our bundle is Scribus.app
if (APPLEBUNDLE OR WIN32)
	if (WANT_VERSIONING OR CACHED_VERSIONING)
		message(STATUS "Ignoring version tag on Win32 or OSX when building bundle")
		set(WANT_VERSIONING OFF)
		set(CACHED_VERSIONING OFF)
	endif()
endif()

#Store our version string if required
if (WANT_VERSIONING AND NOT CACHED_VERSIONING)
	if (NOT CUSTOM_VERSIONTAG)
		set(TAG_VERSION "-${VERSION}" CACHE STRING "Version string")
	else()
		set(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE STRING "Version string")
	endif()
endif()

##############################################################################################################
########## Install/Directory Setup                                                                  ##########
include (CMakeLists_Directories.cmake)

##############################################################################################################
########## Build Setup                                                                              ##########

#Convert our simpler command line option to the CMake style
#None, Debug, Release, .. or custom ones
# set(WANT_DEBUG ON)
if(WANT_DEBUG)
	set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Set Debug Build Type" FORCE)
endif()
if (WANT_RELEASEWITHDEBUG)
	set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Set Release with Debug Info Build Type" FORCE)
endif()
if(NOT WANT_DEBUG AND NOT WANT_RELEASEWITHDEBUG)
	set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Set Release Build Type" FORCE)
endif()



#Based on our build type, setup our build options
if(APPLE)
	### Include our Apple configure commands
	include(CMakeLists_Apple.cmake)
else()
	if(${CMAKE_GENERATOR} MATCHES "^(Visual Studio|NMake).*")
		# Windows build with Visual Studio
		# Surely there's a better way to identify the compiler?
		set(CMAKE_CXX_FLAGS_DEBUG)
		set(CMAKE_C_FLAGS_DEBUG)
	else()
		# vanilla gcc
		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -Wall -fstrict-aliasing -Wl,-E")

=== debian/changelog ===
scribus (1.5.6+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.5.6+dfsg.
    + Fix a regression on line selection behaviour on HiDPI.  Closes: #972534
  * Add Craig Bradney's upstream signing key.
  * d/control: Bump required Qt version to >= 5.12.
  * Add patch from upstream adding the releases to appdata.xml.
  * Add patch from upstream fixing the spellcheck plugin loading.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields: Repository.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 17:21:58 +0100

## scribus 1.5.6.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,7 @@
 set (VERSION_MAJOR "1")
 set (VERSION_MINOR "5")
 set (VERSION_PATCH "6")
-set (VERSION_SUFFIX "")
+set (VERSION_SUFFIX "1")
 set (VERSION ${VERSION_MAJOR})
 if (VERSION_MINOR GREATER -1)
 	set (VERSION ${VERSION}.${VERSION_MINOR})

=== scribus/CMakeLists.txt ===
--- 
+++ 
@@ -30,12 +30,13 @@
 	${HARFBUZZ_INCLUDE_DIRS}
 )
 
+include(text/CMakeLists.txt)
+
 add_subdirectory(dtd)
 add_subdirectory(colormgmt)
 add_subdirectory(desaxe)
 add_subdirectory(fonts)
 add_subdirectory(styles)
-add_subdirectory(text)
 add_subdirectory(ui/qml)
 if(WITH_TESTS)
 	add_subdirectory(tests)
@@ -172,6 +173,7 @@
 	ui/prefs_tableofcontentsbase.ui
 	ui/prefs_documentitemattributesbase.ui
 	ui/printdialogbase.ui
+	ui/printpreviewbase.ui
 	ui/propertiespalette_groupbase.ui
 	ui/propertiespalette_imagebase.ui
 	ui/propertiespalette_linebase.ui
@@ -471,6 +473,7 @@
 	ui/prefs_tableofcontents.h
 	ui/prefs_documentitemattributes.h
 	ui/printdialog.h
+	ui/printlanguagecombo.h
 	ui/printpreview.h
 	ui/propertiespalette.h
 	ui/propertiespalette_group.h
@@ -525,6 +528,3 @@
 	ui/smcellstylewidget.h
 	ui/smcellstyle.h
 	ui/smcheckbox.h
-	ui/smcolorcombo.h
-	ui/smcstylewidget.h
-	ui/smdirectionselect.h

=== resources/editorconfig/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

install(FILES
100_latex.tar
100_latex.xml
#sample.xml
200_gnuplot.xml
gnuplot.png
300_lilypond.xml
lilypond.png
400_dot.xml
dot.svg
500_povray.xml
povray_32.png

  DESTINATION ${SHAREDIR}/editorconfig
)

=== resources/profiles/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

install(FILES
GenericCMYK.icm
GenericCMYK.txt
ISOcoated_v2_300_bas.icc
ISOcoated_v2_300_bas.txt
Readme
sRGB.icm
srgb.license
sRGB_icc22.icm
sRGB_icc22.txt
  DESTINATION ${SHAREDIR}profiles
)

=== resources/unicodemap/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

install(FILES
unicodenameslist.txt
  DESTINATION ${SHAREDIR}
)

=== scribus/colormgmt/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")

include_directories( ${LCMS2_INCLUDE_DIR} )
set(SCRIBUS_LCMS_IMPL_SOURCES
	sclcms2colormgmtengineimpl.cpp
	sclcms2colorprofileimpl.cpp
	sclcms2colortransformimpl.cpp
)

set(SCRIBUS_COLORMGMT_LIB_SOURCES
	scciedata.cpp
	sccieilluminants.cpp
	sccieobservers.cpp
	sccolormgmtengine.cpp
	sccolormgmtenginedata.cpp
	sccolormgmtenginefactory.cpp
	sccolormgmtimplelem.cpp
	sccolormgmtstructs.cpp
	sccolorprofile.cpp
	sccolorprofilecache.cpp
	sccolorprofiledata.cpp
	sccolorspace.cpp
	sccolorspacedata.cpp
	sccolortransform.cpp
	sccolortransformpool.cpp
	sce308tables.cpp
	scspectralvaluesconvertor.cpp
	${SCRIBUS_LCMS_IMPL_SOURCES}
)

set(SCRIBUS_COLORMGMT_LIB "scribus_colormgmt_lib")
add_library(${SCRIBUS_COLORMGMT_LIB} STATIC ${SCRIBUS_COLORMGMT_LIB_SOURCES})
# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_COLORMGMT_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/desaxe/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")

set(SCRIBUS_DESAXE_LIB_SOURCES
saxXML.cpp
saxiohelper.cpp
saxfilter.cpp
uniqueid.cpp
digester.cpp
digester_parse.cpp
)

set(SCRIBUS_DESAXE_LIB "scribus_desaxe_lib")
add_library(${SCRIBUS_DESAXE_LIB} STATIC ${SCRIBUS_DESAXE_LIB_SOURCES})

# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_DESAXE_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/plugins/CMakeLists.txt ===
add_subdirectory(export)
add_subdirectory(import)
add_subdirectory(barcodegenerator)
add_subdirectory(colorwheel)
add_subdirectory(fileloader)
add_subdirectory(fontpreview)
add_subdirectory(gettext)
# add_subdirectory(newfromtemplateplugin)
add_subdirectory(saveastemplateplugin)
if(NOT WANT_SCRIPTER2)
  #scripter1
  if(NOT WIN32)
    message(STATUS "Building with Scripter 1")
    if(NOT WANT_PYTHON_2X)
      add_subdirectory(scriptplugin)
    else()
      add_subdirectory(scriptplugin_py2x)
    endif()
  endif()
else()
  #scripter2
  message(STATUS "Building with Scripter 2")
  add_subdirectory(scripter)
endif()
add_subdirectory(short-words)
add_subdirectory(tools)
add_subdirectory(picbrowser)
add_subdirectory(shapes)

# add_subdirectory(myplugin)

=== scribus/tests/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
..
)


set(SCRIBUS_TEST_MOC_CLASSES
#testIndex.h
testStoryText.h
)

set(SCRIBUS_TEST_SOURCES
runtests.cpp
#testIndex.cpp
testStoryText.cpp
)

  QT5_WRAP_CPP(SCRIBUS_TEST_MOC_SOURCES ${SCRIBUS_TEST_MOC_CLASSES})

set(SCRIBUS_TESTS_LIB "scribus_tests_lib")
add_library(${SCRIBUS_TESTS_LIB} STATIC ${SCRIBUS_TEST_SOURCES} ${SCRIBUS_TEST_MOC_SOURCES})


# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_TESTS_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )


# Regular unit tests below.
#
# These tests are built as standalone executables and runned using "make test"
#

set(TESTS_LIBRARIES ${QT_QTTEST_LIBRARY} ${QT_LIBRARIES})

# Unit tests for CellArea
set(CELLAREATESTS_CLASSES cellareatests.h)
set(CELLAREATESTS_SOURCES cellareatests.cpp ../cellarea.cpp)
QT5_WRAP_CPP(CELLAREATESTS_SOURCES ${CELLAREATESTS_CLASSES})
add_executable(cellareatests ${CELLAREATESTS_SOURCES})
target_link_libraries(cellareatests ${TESTS_LIBRARIES})
add_test(NAME cellareatests COMMAND cellareatests)

=== scribus/text/CMakeLists.txt ===
set(SCRIBUS_TEXT_MOC_CLASSES
	text/storytext.h
)

set(SCRIBUS_TEXT_LIB_SOURCES
	text/boxes.cpp
	text/frect.cpp
	text/fsize.cpp
	text/glyphcluster.cpp
	text/index.cpp
	text/screenpainter.cpp
	text/scrptrun.cpp
	text/sctext_shared.cpp
	text/scworditerator.cpp
	text/shapedtext.cpp
	text/shapedtextcache.cpp
	text/shapedtextfeed.cpp
	text/specialchars.cpp
	text/storytext.cpp
	text/textlayout.cpp
	text/textlayoutpainter.cpp
	text/textshaper.cpp
	text/textcontext.cpp
)

=== scribus/plugins/colorwheel/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(COLORWHEEL_PLUGIN_UI_SRC
	cwdialog.ui
)

set(COLORWHEEL_PLUGIN_MOC_CLASSES
	colorwheel.h
	colorwheelwidget.h
	cwdialog.h
)

set(COLORWHEEL_PLUGIN_SOURCES
	colorwheel.cpp
	colorwheelwidget.cpp
	cwdialog.cpp
)

set(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

QT5_WRAP_UI(COLORWHEEL_PLUGIN_UI_SOURCES ${COLORWHEEL_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(COLORWHEEL_PLUGIN_MOC_SOURCES ${COLORWHEEL_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES} ${COLORWHEEL_PLUGIN_MOC_SOURCES} ${COLORWHEEL_PLUGIN_UI_CPP} ${COLORWHEEL_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_COLORWHEEL_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_COLORWHEEL_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/gettext/CMakeLists.txt ===
#Subdirectories
add_subdirectory(csvim)
add_subdirectory(docim)
if(HAVE_XML)
  add_subdirectory(docxim)
  add_subdirectory(htmlim)
#  add_subdirectory(odtim)
  add_subdirectory(odt2im)
endif()
add_subdirectory(pdbim)
add_subdirectory(rtfim)
if(HAVE_XML)
  add_subdirectory(sxwim)
endif()
add_subdirectory(textfilter)
add_subdirectory(txtim)
add_subdirectory(xtgim)
add_subdirectory(markdownim)

=== debian/changelog ===
scribus (1.5.6.1+dfsg-2) unstable; urgency=medium

  * Add patch from upstream to fix build with libpodofo 0.9.7.
  * d/copyright: claim copyright for 2021.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Jan 2021 16:11:02 +0100

scribus (1.5.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.6.1+dfsg.
    https://w.scribus.net/wiki/index.php/1.5.6.1_Release
  * d/copyright: Update.
  * Remove patches applied in this release.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 Nov 2020 17:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  libxml2-dev,
  libzmf-dev,
  python3-dev,
- qtbase5-dev (>= 5.11),
+ qtbase5-dev (>= 5.12),
  qttools5-dev,
  qttools5-dev-tools,
  zlib1g-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

t :=
p := scribus$t
export p

ifneq (,$t)
extraconf := \
	-DWANT_DEBUG:BOOL=1 \
	-DWANT_VERSIONING:BOOL=1 \
	-DCUSTOM_VERSIONTAG=$t
else
extraconf :=
endif

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_GRAPHICSMAGICK:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    $(extraconf)

override_dh_auto_install:
	dh_auto_install
ifneq (,$(findstring doc, $(shell grep -e '^Package: ' debian/control)))
	# move the docs somewhere else, so that I can then pick them up
	# do it only if we are building the -doc package from the same source.
	# This won't be the case for the official Debian package, as the
	# documentation is non-free and in a separate source package.
	mkdir -p $(CURDIR)/debian/tmp/doc
	mv -v $(CURDIR)/debian/tmp/usr/share/doc/$p/en \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/de \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/it \
	      $(CURDIR)/debian/tmp/doc
endif
	# remove pointless files.
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/COPYING
	find $(CURDIR)/debian/tmp -type d -empty -print -delete
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	# https://bugs.scribus.net/view.php?id=14688
	# https://bugs.scribus.net/view.php?id=14689
	gunzip -v $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	# the plugins (which are the only .so files here) needs to be +x.
	# let the scribus installer take care of them
	dh_fixperms -X .so

override_dh_python3:
	dh_python3 /usr/share/$p/samples/
	dh_python3 /usr/share/$p/scripts/

# scribus expects the {docdir}/{lang}/menu.xml being present and uncompressed,
# otherwise you'll get no docs.
override_dh_compress:
	dh_compress -X usr/share/doc/$p/de \
				-X usr/share/doc/$p/en \
				-X usr/share/doc/$p/it \
				-X usr/share/doc/$p/TRANSLATION \
